Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet33RelEntityMoveLook

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet30Entity
              net.minecraft.network.packet.Packet33RelEntityMoveLook

    public class Packet33RelEntityMoveLook

extends Packet30Entity

Field Summary

Fields inherited from class net.minecraft.network.packet.Packet30Entity
`entityId, pitch, rotating, xPosition, yaw, yPosition, zPosition`

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet33RelEntityMoveLook()`
`Packet33RelEntityMoveLook(int par1, byte par2, byte par3, byte par4, byte par5, byte par6)`

Method Summary
`int` | `getPacketSize()` Abstract.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet30Entity
`containsSameEntityIDAs, isRealPacket, processPacket, toString`

Methods inherited from class net.minecraft.network.packet.Packet
`addIdClassMapping, getNewPacket, getPacketId, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Packet33RelEntityMoveLook

    public Packet33RelEntityMoveLook()

### Packet33RelEntityMoveLook

    public Packet33RelEntityMoveLook(int par1,
                                     byte par2,
                                     byte par3,
                                     byte par4,
                                     byte par5,
                                     byte par6)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Overrides:
    `readPacketData` in class `Packet30Entity`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Overrides:
    `writePacketData` in class `Packet30Entity`
  Throws:
    `IOException`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Overrides:
    `getPacketSize` in class `Packet30Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD